ASSP start up errors

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

ASSP start up errors

James Moe-2
Hello,
  linux 4.4.70-18.9-default x86_64
  assp 2.5.5 (17073)
  perl 5.18.2

  Error messages noted when ASSP starts.
  Is there a recommended way to load ASSP_AFC? Or is this a PERL
configuration issue?

using Perl /usr/bin/perl version 5.018002 (5.18.2), all Perl features
for 5.18 are enabled
compiling code and check code integrity - please wait .....
checking config in /usr/local/bin/assp2/assp.cfg            [OK]
error: preload plugin ASSP_AFC failed in 'use' -
Bareword "Archive::Extract::TGZ" not allowed while "strict subs" in use
at /usr/local/bin/assp2/Plugins/ASSP_AFC.pm line 1877.
...[other similar errors]...
Bareword "ARCHIVE_OK" not allowed while "strict subs" in use at
/usr/local/bin/assp2/Plugins/ASSP_AFC.pm line 1950.
Bareword "ARCHIVE_WARN" not allowed while "strict subs" in use at
/usr/local/bin/assp2/Plugins/ASSP_AFC.pm line 1950.
Compilation failed in require at (eval 29) line 2.
BEGIN failed--compilation aborted at (eval 29) line 2.

the assp.pl code of version 2.5.5(17073) passed the integrity check
ASSP uses AsspSelfLoader 2.03 - check [OK]
...[ other OKs ]...


--
James Moe
moe dot james at sohnen-moe dot com
520.743.3936
Think.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: ASSP start up errors

James Moe-2
On 06/27/2017 10:35 AM, James Moe wrote:
> Bareword "Archive::Extract::TGZ" not allowed while "strict subs" in use
> at /usr/local/bin/assp2/Plugins/ASSP_AFC.pm line 1877.
>
  Here is the result from "cpan Archive::Extract::TGZ":

Could not expand [Archive::Extract::TGZ]. Check the module name.
I can suggest names if you install one of Text::Levenshtein::XS,
Text::Levenshtein::Damerau::XS, Text::Levenshtein, and
Text::Levenshtein::Damerau::PP
Skipping Archive::Extract::TGZ because I couldn't find a matching namespace.


  cpan indicates that "Archive::Extract" is current.

--
James Moe
moe dot james at sohnen-moe dot com
520.743.3936
Think.

------------------------------------------------------------------------------
Check out the vibrant tech community on one of the world's most
engaging tech sites, Slashdot.org! http://sdm.link/slashdot
_______________________________________________
Assp-user mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/assp-user
Loading...